Skip to main content
Version: Next

NFT market REST API

Endpoints the node exposes under /centerchain/nftmarket/*.

Endpoints​

GET /centerchain/nftmarket/v1/class_market_config​

class_id may contain '/', so it binds as a query parameter only.

NameInTypeRequiredDescription
class_idquerystringno

Response 200: centerchain.nftmarket.v1.QueryClassMarketConfigResponse

GET /centerchain/nftmarket/v1/listings​

class_id / seller / pagination bind as query parameters (class_id may contain '/', so it must not be a path segment).

NameInTypeRequiredDescription
class_idquerystringno
sellerquerystringno
pagination.keyquerystring (byte)nokey is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
pagination.offsetquerystring (uint64)nooffset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
pagination.limitquerystring (uint64)nolimit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
pagination.count_totalquerybooleannocount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
pagination.reversequerybooleannoreverse is set to true if results are to be returned in the descending order.

Response 200: centerchain.nftmarket.v1.QueryListingsResponse

GET /centerchain/nftmarket/v1/listings/{listing_id}​

NameInTypeRequiredDescription
listing_idpathstring (uint64)yes

Response 200: centerchain.nftmarket.v1.QueryListingResponse

GET /centerchain/nftmarket/v1/params​

Response 200: centerchain.nftmarket.v1.QueryParamsResponse